@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
:root {
	--cocoon-text-color: #081a09; /* note#08131a 基本文字色 */
	--cocoon-basic-border-radius: 7px;
    --cocoon-badge-border-radius: 5px;
}
/* h3見出しの左線 */
.article h3 {
    border-left: 6px solid #00be5e !important; /* 緑 */
}
/* Fontawesomeアイコン */
.fa-home:before {
	content: "\f094"; /* ←レモン ホーム */
}
.fa-folder:before,
.fa-folder-open:before {
	content: "\f699"; /* ←三日月と星 f186三日月 f594ホテル f447チェス カテゴリ */
}
/* タグクラウドのアイコン */
.fa-tag:before,
.fa-tags:before {
	content: "\f699"; /* ←三日月と星 f000グラス タグ */
	color: xx#ff67c7; /* ピンク */
}
/* コメントへのリンクアイコン */
.fa-link:before {
	content: "\f000"; /* ←グラス */
	color: #ff67c7; /* ピンク */
}
a:where(:not(.wp-element-button)) {
    text-decoration: none;
}
.cat-link {
	background-color: #007707; /* 明るめ緑 */
}
.carousel-entry-card-thumb {
  position: relative;
}
/* 時計アイコンを非表示 */
.fa-clock,
.fa-history {
	display: none;
}
/* カテゴリーラベル */
.cat-label {
	font-size: 11px;
	background-color: #255F3E; /* 黒板と同じ緑 */
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%); /* XとYの両方を-50%する */
	padding: 5px 8px;
	border-color: #c0c0c0;
	border-radius: 3px;
}
/* トップページの最初の大きいサムネ記事のカテゴリーラベル */
.list-new-entries .ec-big-card-first .cat-label {
	font-size: 25px;
	padding: 8px 15px;
}

/* 記事タイトルとサムネに余白 */
.widget-entry-cards:not(.large-thumb-on) .card-title {
	padding-top: 5px;
	padding-left: 5px;
}
/* フッターメニューの上下余白 */
.navi-footer {
    margin: 30px 0;
}

iframe,
.toc,
.lyte {
	border-radius: 7px;
}
.video-container {
	margin-bottom: 80px !important;
}
.blogcard-title,
.blogcard-snippet {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.recent-comment-date {
	font-size: 12px;
}
.recent-comment-article {
	font-size: 12px;
}
.list-new-entries-title {
	display: none;
}
.entry-date {
	color: #0b4700; /* ←濃緑 トップ 緑106500 ピンク8b0093 緑096300 */
}
.post-update {
	color: #106500; /* ←明緑 記事内 緑106500 ピンク8b0093 緑074b00 */
}
.right {
	text-align: right;
}

.space0 {
	margin-bottom: 40px;
}
.space1l,
.space1 {
	margin-bottom: 70px;
}
.space2 {
	margin-bottom: 100px;
}
.space3 {
	margin-bottom: 130px;
}
.space30 {
	margin-bottom: 30px;
}
.space50 {
	margin-bottom: 50px;
}
.space70 {
	margin-bottom: 70px;
}
.space80 {
	margin-bottom: 80px;
}
.space100 {
	margin-bottom: 100px;
}
/* トップに戻るを一瞬で */
html,
.mobile-menu-buttons .menu-button {
  scroll-behavior: auto !important;
}

/* レモンの絵文字を左右反転 */
.flip-emoji {
  display: inline-block;
  transform: scaleX(-1);
}

/* 「プロフィール情報」の改行を有効にする */
.author-description {
    white-space: pre-wrap;
}
.tagcloud a {
    font-size: 12px;
    margin: 5px !important;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}


